org.jfree.data.statistics

## Class BoxAndWhiskerItem

- java.lang.Object
- - org.jfree.data.statistics.BoxAndWhiskerItem

All Implemented Interfaces:
  java.io.Serializable

    public class BoxAndWhiskerItem
    extends java.lang.Object
    implements java.io.Serializable

Represents one data item within a box-and-whisker dataset. Instances of this class are immutable.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`BoxAndWhiskerItem(double mean, double median, double q1, double q3, double minRegularValue, double maxRegularValue, double minOutlier, double maxOutlier, java.util.List outliers)` Creates a new box-and-whisker item.
`BoxAndWhiskerItem(java.lang.Number mean, java.lang.Number median, java.lang.Number q1, java.lang.Number q3, java.lang.Number minRegularValue, java.lang.Number maxRegularValue, java.lang.Number minOutlier, java.lang.Number maxOutlier, java.util.List outliers)` Creates a new box-and-whisker item.

### Method Summary

Methods
`boolean` `equals(java.lang.Object obj)` Tests this object for equality with an arbitrary object.
`java.lang.Number` `getMaxOutlier()` Returns the maximum outlier.
`java.lang.Number` `getMaxRegularValue()` Returns the maximum regular value.
`java.lang.Number` `getMean()` Returns the mean.
`java.lang.Number` `getMedian()` Returns the median.
`java.lang.Number` `getMinOutlier()` Returns the minimum outlier.
`java.lang.Number` `getMinRegularValue()` Returns the minimum regular value.
`java.util.List` `getOutliers()` Returns a list of outliers.
`java.lang.Number` `getQ1()` Returns the first quartile.
`java.lang.Number` `getQ3()` Returns the third quartile.
`java.lang.String` `toString()` Returns a string representation of this instance, primarily for debugging purposes.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BoxAndWhiskerItem

    public BoxAndWhiskerItem(java.lang.Number mean,
                     java.lang.Number median,
                     java.lang.Number q1,
                     java.lang.Number q3,
                     java.lang.Number minRegularValue,
                     java.lang.Number maxRegularValue,
                     java.lang.Number minOutlier,
                     java.lang.Number maxOutlier,
                     java.util.List outliers)

Creates a new box-and-whisker item.

Parameters:
  `mean` - the mean (`null` permitted).
  `median` - the median (`null` permitted).
  `q1` - the first quartile (`null` permitted).
  `q3` - the third quartile (`null` permitted).
  `minRegularValue` - the minimum regular value (`null` permitted).
  `maxRegularValue` - the maximum regular value (`null` permitted).
  `minOutlier` - the minimum outlier (`null` permitted).
  `maxOutlier` - the maximum outlier (`null` permitted).
  `outliers` - the outliers (`null` permitted).

#### BoxAndWhiskerItem

    public BoxAndWhiskerItem(double mean,
                     double median,
                     double q1,
                     double q3,
                     double minRegularValue,
                     double maxRegularValue,
                     double minOutlier,
                     double maxOutlier,
                     java.util.List outliers)

Creates a new box-and-whisker item.

Parameters:
  `mean` - the mean.
  `median` - the median
  `q1` - the first quartile.
  `q3` - the third quartile.
  `minRegularValue` - the minimum regular value.
  `maxRegularValue` - the maximum regular value.
  `minOutlier` - the minimum outlier value.
  `maxOutlier` - the maximum outlier value.
  `outliers` - a list of the outliers.
Since:
  1.0.7

### Method Detail

#### getMean

    public java.lang.Number getMean()

Returns the mean.

Returns:
  The mean (possibly `null`).

#### getMedian

    public java.lang.Number getMedian()

Returns the median.

Returns:
  The median (possibly `null`).

#### getQ1

    public java.lang.Number getQ1()

Returns the first quartile.

Returns:
  The first quartile (possibly `null`).

#### getQ3

    public java.lang.Number getQ3()

Returns the third quartile.

Returns:
  The third quartile (possibly `null`).

#### getMinRegularValue

    public java.lang.Number getMinRegularValue()

Returns the minimum regular value.

Returns:
  The minimum regular value (possibly `null`).

#### getMaxRegularValue

    public java.lang.Number getMaxRegularValue()

Returns the maximum regular value.

Returns:
  The maximum regular value (possibly `null`).

#### getMinOutlier

    public java.lang.Number getMinOutlier()

Returns the minimum outlier.

Returns:
  The minimum outlier (possibly `null`).

#### getMaxOutlier

    public java.lang.Number getMaxOutlier()

Returns the maximum outlier.

Returns:
  The maximum outlier (possibly `null`).

#### getOutliers

    public java.util.List getOutliers()

Returns a list of outliers.

Returns:
  A list of outliers (possibly `null`).

#### toString

    public java.lang.String toString()

Returns a string representation of this instance, primarily for debugging purposes.

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  A string representation of this instance.

#### equals

    public boolean equals(java.lang.Object obj)

Tests this object for equality with an arbitrary object.

Overrides:
  `equals` in class `java.lang.Object`
Parameters:
  `obj` - the object to test against (`null` permitted).
Returns:
  A boolean.